Goto fail; Fail

Do you own any Apple products? If so, you probably need to update it ASAP!

A rather massive security vulnerability exists in all iPhones and iPads running iOS 7 as well as computers running Mac OS X Mavericks.

Dubbed the ‘goto fail’ bug for an extraneous line of code that got past the developers, this security hole is pretty big – and could potentially trick people into giving sensitive information to an unknown third party middle man. For instance, you might think you’re only talking directly to your bank over a secured SSL web browser—but there’s someone in the middle intercepting your information.
If you own pretty much any Apple product, you should update the operating system immediately (Software Updates on OS X, and Settings->General->Software update on an iPhone/iPad). You can visit a special website,  to see if your web browser is vulnerable.
And to commemorate the event, how about a gotofail T-shirt?